other options for syncing ipod to my mac because it cant run itunes 8

Discussion in 'iPod touch' started by Dallas Silvertush, Dec 21, 2008.

  1. Dallas Silvertush

    Dallas Silvertush New Member

    Joined:
    Dec 21, 2008
    Messages:
    65
    Likes Received:
    0
    I have a powerpc 3g running firmware 10.3.9 so I cannot run itunes 8 and I want to sync my ipod touch 2g to my computer instead of using crappy 3rd party apps on the ipod itself. I have searched for windows emulators and such but many require intel based macs. I also am poor so I have tried looking for *******z on the programs I have found but they are hard to find and most don't work. HELP!
  2. Baggy Spandex

    Baggy Spandex Active Member

    Joined:
    Apr 27, 2008
    Messages:
    1,274
    Likes Received:
    14
    Device:
    iPad 2 (White)
    why dont you update your pcs firmware? i dont really understand what else you are talking about, so thats my best advice.
  3. Dallas Silvertush

    Dallas Silvertush New Member

    Joined:
    Dec 21, 2008
    Messages:
    65
    Likes Received:
    0
    I would but thats expensive and I really don't want to upgrade my whole computer just because of itunes. I'm perfectly happy with my computer I was looking into windows emulators so I could just run the windows version of itunes 8 but so far no luck
  4. Joe Rossignol

    Joe Rossignol Community Manager Staff Member

    Joined:
    Jan 9, 2008
    Messages:
    11,500
    Likes Received:
    1,268
    Device:
    iPhone 5 (Black)
    You could try Parallels.

    And without iTunes you won't be able to sync your iPod with your Mac.
  5. Dallas Silvertush

    Dallas Silvertush New Member

    Joined:
    Dec 21, 2008
    Messages:
    65
    Likes Received:
    0
    once again I'm cheap and don't wanna pay for it :/
    ------------------double post merged------------------
    Parallels can't be run on 10.3.9 :/
  6. Salamantis

    Salamantis New Member

    Joined:
    May 21, 2008
    Messages:
    255
    Likes Received:
    0
    Device:
    2G iPod touch
    10.3.9? Get with the times, man!
    + if you used a Windows emulator I doubt it'd run well.

    Oh and Leopard won't run on a G3. G4 or higher required. You'll need 10.4 Tiger for that.

    And you not being able to find *******s is hard to understand since I just made a search in about 15 seconds and found many, many good *******s for Tiger. Now since this is not allowed on iPTF I'm not going to tell you where to get it, so you either have to ask someone else or buy a new computer since I don't even think they sell Tiger in store anymore.

Share This Page